Search found 16 matches

Go to advanced search

by silent_missile
Tue Oct 08, 2019 3:21 pm
Forum: Python scripting and macros
Topic: how to shift a point from surface?
Replies: 1
Views: 205

how to shift a point from surface?

hello, I have some problems, please give me some guidance. here is a free surface like NURBS, and a free curve like B-Spline they intersect, so there is an intersection point now I need to shift this intersection point from the surface for some distance to get a new point, the law of the shift is no...
by silent_missile
Tue Sep 24, 2019 12:57 am
Forum: Python scripting and macros
Topic: how to export a series of points on a curve
Replies: 2
Views: 247

how to export a series of points on a curve

here is a curve, maybe it's generated by NURBS, or it's generated by intersection of 2 surfaces now I need to export a series of points on the curve to [[x0, y0, z0], [x1, y1, z1],...] is there any API can do this? please help me. also, if I want to modify the resolution of the points, how to do it?
by silent_missile
Mon Sep 09, 2019 8:54 am
Forum: Python scripting and macros
Topic: how to rotate a curve to generate a surface?
Replies: 1
Views: 155

how to rotate a curve to generate a surface?

the requirement is like this: there is a free curve, and I want to rotate it around z axial to generate a rotate surface, can anybody tell me how to realize it in script? the curve is like this import itertools import FreeCAD import Part points=[[1,0.5,0,1],[0.8583333333333332,0.5635416666666668,0,1...
by silent_missile
Thu Aug 08, 2019 7:52 am
Forum: Help on using FreeCAD
Topic: BSplineSurface
Replies: 3
Views: 845

Re: BSplineSurface

the second parameter M is not the index of the new U, it's multiplicity of U in NURBS, U can repeat only one time or several times, this M is the multiplicity of the U, if U is in existing U array, and M is fewer than existing multi level, this function would do nothing, if the new M is more than ex...
by silent_missile
Thu Aug 08, 2019 5:41 am
Forum: Python scripting and macros
Topic: how can I create a free NURBS surface?
Replies: 3
Views: 765

Re: how can I create a free NURBS surface?

thank you emills2 by your guidance, I created some demo code import FreeCAD import Part FreeCAD.newDocument("test") FreeCAD.setActiveDocument("test") FreeCAD.ActiveDocument = FreeCAD.getDocument("test") # NURBS surface from a Part.BSplineSurface(). # len(knot_u) := nNodes_u + degree_u + 1 # len(knot...
by silent_missile
Tue Jul 30, 2019 12:18 am
Forum: Python scripting and macros
Topic: how can I create a free NURBS surface?
Replies: 3
Views: 765

how can I create a free NURBS surface?

Hello everybody I have some requirement to create a free NURBS surface, then make some manipulation like trim and intersect, then export it to iges or step. the difficulty is to create the free NURBS surface, I have all data of the surface control points: in OCCT, it's Poles [ [p00x, p00y, p00z, p00...

Go to advanced search